> For the complete documentation index, see [llms.txt](https://docs.orbs.network/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/development-requirements.md).

# Development Requirements

## Install Docker

Docker is an execution engine that runs containers as mini virtual machines. Installing it locally will allow you to test your container on your machine before deployment.

Instructions: [https://docs.docker.com/get-docker](https://docs.docker.com/get-docker/)

## Install Git

Git is the source control manager used by the popular open source hub GitHub. Install it locally to allow you to maintain versions of your code and push them to Orbs.

Instructions: <https://github.com/git-guides/install-git>

## Docker registry account

Once your docker image is ready, it needs to be published to a publicly readable [docker registry](https://docs.docker.com/registry/). We recommend that you open a free account with [DockerHub](https://hub.docker.com/) for this purpose but you may select other [alternatives](https://www.aquasec.com/cloud-native-academy/docker-container/docker-registry/).

Instructions: <https://hub.docker.com/signup>

## GitHub account

As part of the deployment process, you will need to open a PR (pull request) to Orbs open source GitHub repo. This will normally require you to have a free GitHub account.

Instructions: <https://github.com/signup>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orbs.network/v3/orbs-vm/step-by-step-overview/development-requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
